Changeset 1490 for trunk/Cbc/configure


Ignore:
Timestamp:
Jul 27, 2010 2:42:58 PM (9 years ago)
Author:
lou
Message:

New doxygen documentation configuration.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r1489 r1490  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA REQUIREDPACKAGES COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA REQUIREDPACKAGES COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11221122  --with-clp-incdir directory with header files for using module Clp
    11231123  --with-clp-datadir directory with data files for using module Clp
     1124  --with-dylp-lib linker flags for using module DyLP
     1125  --with-dylp-incdir directory with header files for using module DyLP
     1126  --with-dylp-datadir directory with data files for using module DyLP
     1127  --with-vol-lib linker flags for using module Vol
     1128  --with-vol-incdir directory with header files for using module Vol
     1129  --with-vol-datadir directory with data files for using module Vol
    11241130  --with-ositests-lib linker flags for using module OsiTests
    11251131  --with-ositests-incdir directory with header files for using module OsiTests
     
    11341140  --with-miplib3-incdir directory with header files for using module Miplib3
    11351141  --with-miplib3-datadir directory with data files for using module Miplib3
    1136   --with-dylp-lib linker flags for using module DyLP
    1137   --with-dylp-incdir directory with header files for using module DyLP
    1138   --with-dylp-datadir directory with data files for using module DyLP
    1139   --with-vol-lib linker flags for using module Vol
    1140   --with-vol-incdir directory with header files for using module Vol
    1141   --with-vol-datadir directory with data files for using module Vol
    11421142  --with-cpx-lib linker flags for using module Cpx
    11431143  --with-cpx-incdir directory with header files for using module Cpx
     
    11671167  --with-osicbc-default-solver
    11681168                          specify underlying solver for OsiCbc (default clp)
     1169  --with-dot              use dot (from graphviz) when creating documentation
     1170                          with doxygen if available; --without-dot to disable
    11691171
    11701172Some influential environment variables:
     
    59125914*-*-irix6*)
    59135915  # Find out which ABI we are using.
    5914   echo '#line 5914 "configure"' > conftest.$ac_ext
     5916  echo '#line 5916 "configure"' > conftest.$ac_ext
    59155917  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59165918  (eval $ac_compile) 2>&5
     
    70467048
    70477049# Provide some information about the compiler.
    7048 echo "$as_me:7048:" \
     7050echo "$as_me:7050:" \
    70497051     "checking for Fortran 77 compiler version" >&5
    70507052ac_compiler=`set X $ac_compile; echo $2`
     
    81138115   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81148116   -e 's:$: $lt_compiler_flag:'`
    8115    (eval echo "\"\$as_me:8115: $lt_compile\"" >&5)
     8117   (eval echo "\"\$as_me:8117: $lt_compile\"" >&5)
    81168118   (eval "$lt_compile" 2>conftest.err)
    81178119   ac_status=$?
    81188120   cat conftest.err >&5
    8119    echo "$as_me:8119: \$? = $ac_status" >&5
     8121   echo "$as_me:8121: \$? = $ac_status" >&5
    81208122   if (exit $ac_status) && test -s "$ac_outfile"; then
    81218123     # The compiler can only warn and ignore the option if not recognized
     
    83818383   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83828384   -e 's:$: $lt_compiler_flag:'`
    8383    (eval echo "\"\$as_me:8383: $lt_compile\"" >&5)
     8385   (eval echo "\"\$as_me:8385: $lt_compile\"" >&5)
    83848386   (eval "$lt_compile" 2>conftest.err)
    83858387   ac_status=$?
    83868388   cat conftest.err >&5
    8387    echo "$as_me:8387: \$? = $ac_status" >&5
     8389   echo "$as_me:8389: \$? = $ac_status" >&5
    83888390   if (exit $ac_status) && test -s "$ac_outfile"; then
    83898391     # The compiler can only warn and ignore the option if not recognized
     
    84858487   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84868488   -e 's:$: $lt_compiler_flag:'`
    8487    (eval echo "\"\$as_me:8487: $lt_compile\"" >&5)
     8489   (eval echo "\"\$as_me:8489: $lt_compile\"" >&5)
    84888490   (eval "$lt_compile" 2>out/conftest.err)
    84898491   ac_status=$?
    84908492   cat out/conftest.err >&5
    8491    echo "$as_me:8491: \$? = $ac_status" >&5
     8493   echo "$as_me:8493: \$? = $ac_status" >&5
    84928494   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84938495   then
     
    1083010832  lt_status=$lt_dlunknown
    1083110833  cat > conftest.$ac_ext <<EOF
    10832 #line 10832 "configure"
     10834#line 10834 "configure"
    1083310835#include "confdefs.h"
    1083410836
     
    1093010932  lt_status=$lt_dlunknown
    1093110933  cat > conftest.$ac_ext <<EOF
    10932 #line 10932 "configure"
     10934#line 10934 "configure"
    1093310935#include "confdefs.h"
    1093410936
     
    1327413276   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1327513277   -e 's:$: $lt_compiler_flag:'`
    13276    (eval echo "\"\$as_me:13276: $lt_compile\"" >&5)
     13278   (eval echo "\"\$as_me:13278: $lt_compile\"" >&5)
    1327713279   (eval "$lt_compile" 2>conftest.err)
    1327813280   ac_status=$?
    1327913281   cat conftest.err >&5
    13280    echo "$as_me:13280: \$? = $ac_status" >&5
     13282   echo "$as_me:13282: \$? = $ac_status" >&5
    1328113283   if (exit $ac_status) && test -s "$ac_outfile"; then
    1328213284     # The compiler can only warn and ignore the option if not recognized
     
    1337813380   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1337913381   -e 's:$: $lt_compiler_flag:'`
    13380    (eval echo "\"\$as_me:13380: $lt_compile\"" >&5)
     13382   (eval echo "\"\$as_me:13382: $lt_compile\"" >&5)
    1338113383   (eval "$lt_compile" 2>out/conftest.err)
    1338213384   ac_status=$?
    1338313385   cat out/conftest.err >&5
    13384    echo "$as_me:13384: \$? = $ac_status" >&5
     13386   echo "$as_me:13386: \$? = $ac_status" >&5
    1338513387   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1338613388   then
     
    1494814950   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1494914951   -e 's:$: $lt_compiler_flag:'`
    14950    (eval echo "\"\$as_me:14950: $lt_compile\"" >&5)
     14952   (eval echo "\"\$as_me:14952: $lt_compile\"" >&5)
    1495114953   (eval "$lt_compile" 2>conftest.err)
    1495214954   ac_status=$?
    1495314955   cat conftest.err >&5
    14954    echo "$as_me:14954: \$? = $ac_status" >&5
     14956   echo "$as_me:14956: \$? = $ac_status" >&5
    1495514957   if (exit $ac_status) && test -s "$ac_outfile"; then
    1495614958     # The compiler can only warn and ignore the option if not recognized
     
    1505215054   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1505315055   -e 's:$: $lt_compiler_flag:'`
    15054    (eval echo "\"\$as_me:15054: $lt_compile\"" >&5)
     15056   (eval echo "\"\$as_me:15056: $lt_compile\"" >&5)
    1505515057   (eval "$lt_compile" 2>out/conftest.err)
    1505615058   ac_status=$?
    1505715059   cat out/conftest.err >&5
    15058    echo "$as_me:15058: \$? = $ac_status" >&5
     15060   echo "$as_me:15060: \$? = $ac_status" >&5
    1505915061   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1506015062   then
     
    1725917261   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1726017262   -e 's:$: $lt_compiler_flag:'`
    17261    (eval echo "\"\$as_me:17261: $lt_compile\"" >&5)
     17263   (eval echo "\"\$as_me:17263: $lt_compile\"" >&5)
    1726217264   (eval "$lt_compile" 2>conftest.err)
    1726317265   ac_status=$?
    1726417266   cat conftest.err >&5
    17265    echo "$as_me:17265: \$? = $ac_status" >&5
     17267   echo "$as_me:17267: \$? = $ac_status" >&5
    1726617268   if (exit $ac_status) && test -s "$ac_outfile"; then
    1726717269     # The compiler can only warn and ignore the option if not recognized
     
    1752717529   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1752817530   -e 's:$: $lt_compiler_flag:'`
    17529    (eval echo "\"\$as_me:17529: $lt_compile\"" >&5)
     17531   (eval echo "\"\$as_me:17531: $lt_compile\"" >&5)
    1753017532   (eval "$lt_compile" 2>conftest.err)
    1753117533   ac_status=$?
    1753217534   cat conftest.err >&5
    17533    echo "$as_me:17533: \$? = $ac_status" >&5
     17535   echo "$as_me:17535: \$? = $ac_status" >&5
    1753417536   if (exit $ac_status) && test -s "$ac_outfile"; then
    1753517537     # The compiler can only warn and ignore the option if not recognized
     
    1763117633   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1763217634   -e 's:$: $lt_compiler_flag:'`
    17633    (eval echo "\"\$as_me:17633: $lt_compile\"" >&5)
     17635   (eval echo "\"\$as_me:17635: $lt_compile\"" >&5)
    1763417636   (eval "$lt_compile" 2>out/conftest.err)
    1763517637   ac_status=$?
    1763617638   cat out/conftest.err >&5
    17637    echo "$as_me:17637: \$? = $ac_status" >&5
     17639   echo "$as_me:17639: \$? = $ac_status" >&5
    1763817640   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1763917641   then
     
    2100621008fi
    2100721009
     21010# Clp and OsiClp are inseparable here.
     21011
    2100821012
    2100921013echo "$as_me:$LINENO: checking for COIN-OR module Clp" >&5
     
    2128721291   { (exit 1); exit 1; }; }
    2128821292fi
     21293
     21294# The rest are not so critical, so we don't put in quite so much effort.
     21295
     21296
     21297echo "$as_me:$LINENO: checking for COIN-OR module DyLP" >&5
     21298echo $ECHO_N "checking for COIN-OR module DyLP... $ECHO_C" >&6
     21299
     21300coin_has_dylp=notGiven
     21301
     21302# check if user wants to skip module in any case
     21303if test x"$COIN_SKIP_PROJECTS" != x; then
     21304  for dir in $COIN_SKIP_PROJECTS; do
     21305    if test $dir = "DyLP"; then
     21306      coin_has_dylp=skipping
     21307    fi
     21308  done
     21309fi
     21310
     21311DYLP_LIBS=
     21312DYLP_CFLAGS=
     21313DYLP_DATA=
     21314
     21315
     21316
     21317
     21318
     21319#check if user provided LIBS, CFLAGS, or DATA for module
     21320if test $coin_has_dylp != skipping; then
     21321
     21322
     21323# Check whether --with-m4_tolower(DyLP)-lib or --without-m4_tolower(DyLP)-lib was given.
     21324if test "${with_dylp_lib+set}" = set; then
     21325  withval="$with_dylp_lib"
     21326  coin_has_dylp=yes
     21327       DYLP_LIBS="$withval"
     21328       PCADDLIBS="$withval $PCADDLIBS"
     21329
     21330fi;
     21331
     21332
     21333# Check whether --with-m4_tolower(DyLP)-incdir or --without-m4_tolower(DyLP)-incdir was given.
     21334if test "${with_dylp_incdir+set}" = set; then
     21335  withval="$with_dylp_incdir"
     21336  coin_has_dylp=yes
     21337     DYLP_CFLAGS="-I`${CYGPATH_W} $withval`"
     21338fi;
     21339
     21340
     21341# Check whether --with-m4_tolower(DyLP)-datadir or --without-m4_tolower(DyLP)-datadir was given.
     21342if test "${with_dylp_datadir+set}" = set; then
     21343  withval="$with_dylp_datadir"
     21344  coin_has_dylp=yes
     21345     DYLP_DATA="$withval"
     21346fi;
     21347fi
     21348
     21349if test $coin_has_dylp = notGiven; then
     21350  if test -n "$PKG_CONFIG" ; then
     21351    # set search path for pkg-config
     21352    # need to export variable to be sure that the following pkg-config gets these values
     21353    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21354    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     21355    export PKG_CONFIG_PATH
     21356
     21357    # let pkg-config do it's magic
     21358
     21359
     21360
     21361if test -n "$PKG_CONFIG" ; then
     21362  if $PKG_CONFIG --exists "osi-dylp"; then
     21363    DYLP_VERSIONS="`$PKG_CONFIG --modversion osi-dylp 2>/dev/null`"
     21364     cflags=`$PKG_CONFIG --cflags "osi-dylp" 2>/dev/null`
     21365    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     21366        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     21367        # but only do this if is not trivial
     21368    if test "$CYGPATH_W" != "echo" ; then
     21369      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     21370          cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     21371        fi
     21372    DYLP_CFLAGS="$cflags"
     21373    DYLP_LIBS=`$PKG_CONFIG --libs "osi-dylp" 2>/dev/null`
     21374    DYLP_DATA=`$PKG_CONFIG --variable=datadir "osi-dylp" 2>/dev/null`
     21375     coin_has_dylp=yes
     21376        echo "$as_me:$LINENO: result: yes: $DYLP_VERSIONS" >&5
     21377echo "${ECHO_T}yes: $DYLP_VERSIONS" >&6
     21378        REQUIREDPACKAGES="osi-dylp $REQUIREDPACKAGES"
     21379
     21380
     21381  else
     21382    DYLP_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors osi-dylp`
     21383      coin_has_dylp=notGiven
     21384        echo "$as_me:$LINENO: result: not given: $DYLP_PKG_ERRORS" >&5
     21385echo "${ECHO_T}not given: $DYLP_PKG_ERRORS" >&6
     21386
     21387  fi
     21388else
     21389  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module DyLP without pkg-config\"" >&5
     21390echo "$as_me: error: \"Cannot check for existance of module DyLP without pkg-config\"" >&2;}
     21391   { (exit 1); exit 1; }; }
     21392fi
     21393
     21394
     21395
     21396
     21397    # reset PKG_CONFIG_PATH variable
     21398    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21399    export PKG_CONFIG_PATH
     21400  else
     21401    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     21402echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     21403
     21404echo "$as_me:$LINENO: checking for COIN-OR module DyLP (fallback)" >&5
     21405echo $ECHO_N "checking for COIN-OR module DyLP (fallback)... $ECHO_C" >&6
     21406
     21407coin_has_dylp=notGiven
     21408DYLP_LIBS=
     21409DYLP_CFLAGS=
     21410DYLP_DATA=
     21411
     21412
     21413# initial list of dependencies is "osi-dylp", but we need to filter out version number specifications (= x, <= x, >= x)
     21414projtoprocess="osi-dylp"
     21415projprocessed=""
     21416
     21417while test $coin_has_dylp = notGiven ; do
     21418  # setup list of projects that need to be processed in the next round
     21419  nextprojtoprocess=""
     21420
     21421  for proj in $projtoprocess ; do
     21422    # if $proj has been processed already, skip this round
     21423    if test "x$projprocessed" != x ; then
     21424      for projdone in $projprocessed ; do
     21425        if test $projdone = $proj ; then
     21426          continue 2
     21427        fi
     21428      done
     21429    fi
     21430
     21431    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     21432    pcfile=""
     21433    save_IFS="$IFS"
     21434    IFS=":"
     21435    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     21436      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     21437      if test -r "$dir/$proj-uninstalled.pc" ; then
     21438        pcfile="$dir/$proj-uninstalled.pc"
     21439        pcfiledir="$dir"
     21440        break
     21441      fi
     21442    done
     21443    IFS="$save_IFS"
     21444
     21445    if test "x$pcfile" != x ; then
     21446      # read CFLAGS from $pcfile and add CYGPATH_W cludge into include flags
     21447      projcflags=`sed -n -e 's/Cflags://' -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/gp' "$pcfile"`
     21448      DYLP_CFLAGS="$projcflags $DYLP_CFLAGS"
     21449
     21450      # read LIBS from $pcfile and replace -L${libdir} by absolute path to build directory in linker flags
     21451      # we assume that the build directory is $pcfiledir/src if this directory exists, otherwise we assume that it is $pcfiledir
     21452      projlibs=`sed -n -e 's/Libs://' -e 's/-L\${libdir}//p' "$pcfile"`
     21453      if test "x$projlibs" != x ; then
     21454        if test -d "${pcfiledir}/src" ; then
     21455          projlibs="-L`cd "${pcfiledir}/src"; pwd` $projlibs"
     21456        else
     21457          projlibs="-L`cd "$pcfiledir"; pwd` $projlibs"
     21458        fi
     21459      else
     21460        projlibs=`sed -n -e 's/Libs://p' "$pcfile"`
     21461      fi
     21462      DYLP_LIBS="$projlibs $DYLP_LIBS"
     21463
     21464      # read DATA from $pcfile, if this is the first .pc file we are processing (so assume that its the main one)
     21465      if test "x$projprocessed" = x ; then
     21466        DYLP_DATA=`sed -n -e 's/datadir=//gp' "$pcfile"`
     21467      fi
     21468
     21469      # read dependencies from $pcfile, filter it, and add to list of projects that need to be processed next
     21470      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\?>\?=[  ]*[^    ]\+//g'`
     21471      nextprojtoprocess="$nextprojtoprocess $projrequires"
     21472
     21473      # remember that we have processed $proj
     21474      projprocessed="$projprocessed $proj"
     21475
     21476    else
     21477      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     21478echo "${ECHO_T}no, dependency $proj not available" >&6
     21479      break 2
     21480    fi
     21481
     21482  done
     21483
     21484  projtoprocess="$nextprojtoprocess"
     21485
     21486  if test "x$projtoprocess" = x ; then
     21487    coin_has_dylp=yes
     21488    echo "$as_me:$LINENO: result: yes, dependencies are$projprocessed" >&5
     21489echo "${ECHO_T}yes, dependencies are$projprocessed" >&6
     21490
     21491    REQUIREDPACKAGES="osi-dylp $REQUIREDPACKAGES"
     21492
     21493cat >>confdefs.h <<\_ACEOF
     21494#define COIN_HAS_DYLP 1
     21495_ACEOF
     21496
     21497
     21498    if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     21499    if test -n "$DYLP_CFLAGS" ; then
     21500      { echo "$as_me:$LINENO: DyLP CFLAGS are $DYLP_CFLAGS" >&5
     21501echo "$as_me: DyLP CFLAGS are $DYLP_CFLAGS" >&6;}
     21502    fi
     21503    if test -n "$DYLP_LIBS" ; then
     21504      { echo "$as_me:$LINENO: DyLP LIBS   are $DYLP_LIBS" >&5
     21505echo "$as_me: DyLP LIBS   are $DYLP_LIBS" >&6;}
     21506    fi
     21507    if test -n "$DYLP_DATA" ; then
     21508      { echo "$as_me:$LINENO: DyLP DATA   is  $DYLP_DATA" >&5
     21509echo "$as_me: DyLP DATA   is  $DYLP_DATA" >&6;}
     21510    fi
     21511    fi
     21512  fi
     21513done
     21514
     21515
     21516
     21517if test $coin_has_dylp != notGiven &&
     21518                test $coin_has_dylp != skipping; then
     21519  COIN_HAS_DYLP_TRUE=
     21520  COIN_HAS_DYLP_FALSE='#'
     21521else
     21522  COIN_HAS_DYLP_TRUE='#'
     21523  COIN_HAS_DYLP_FALSE=
     21524fi
     21525
     21526
     21527
     21528  fi
     21529
     21530else
     21531  echo "$as_me:$LINENO: result: $coin_has_dylp" >&5
     21532echo "${ECHO_T}$coin_has_dylp" >&6
     21533fi
     21534
     21535if test $coin_has_dylp != skipping &&
     21536   test $coin_has_dylp != notGiven ; then
     21537  if test 0 = 1 ; then  #change this test to enable a bit of debugging output
     21538  if test -n "$DYLP_CFLAGS" ; then
     21539    { echo "$as_me:$LINENO: DyLP CFLAGS are $DYLP_CFLAGS" >&5
     21540echo "$as_me: DyLP CFLAGS are $DYLP_CFLAGS" >&6;}
     21541  fi
     21542  if test -n "$DYLP_LIBS" ; then
     21543    { echo "$as_me:$LINENO: DyLP LIBS   are $DYLP_LIBS" >&5
     21544echo "$as_me: DyLP LIBS   are $DYLP_LIBS" >&6;}
     21545  fi
     21546  if test -n "$DYLP_DATA" ; then
     21547    { echo "$as_me:$LINENO: DyLP DATA   is  $DYLP_DATA" >&5
     21548echo "$as_me: DyLP DATA   is  $DYLP_DATA" >&6;}
     21549  fi
     21550  fi
     21551
     21552cat >>confdefs.h <<\_ACEOF
     21553#define COIN_HAS_DYLP 1
     21554_ACEOF
     21555
     21556fi
     21557
     21558# Define the Makefile conditional
     21559
     21560
     21561if test $coin_has_dylp != notGiven &&
     21562                test $coin_has_dylp != skipping; then
     21563  COIN_HAS_DYLP_TRUE=
     21564  COIN_HAS_DYLP_FALSE='#'
     21565else
     21566  COIN_HAS_DYLP_TRUE='#'
     21567  COIN_HAS_DYLP_FALSE=
     21568fi
     21569
     21570
     21571
     21572
     21573echo "$as_me:$LINENO: checking for COIN-OR module Vol" >&5
     21574echo $ECHO_N "checking for COIN-OR module Vol... $ECHO_C" >&6
     21575
     21576coin_has_vol=notGiven
     21577
     21578# check if user wants to skip module in any case
     21579if test x"$COIN_SKIP_PROJECTS" != x; then
     21580  for dir in $COIN_SKIP_PROJECTS; do
     21581    if test $dir = "Vol"; then
     21582      coin_has_vol=skipping
     21583    fi
     21584  done
     21585fi
     21586
     21587VOL_LIBS=
     21588VOL_CFLAGS=
     21589VOL_DATA=
     21590
     21591
     21592
     21593
     21594
     21595#check if user provided LIBS, CFLAGS, or DATA for module
     21596if test $coin_has_vol != skipping; then
     21597
     21598
     21599# Check whether --with-m4_tolower(Vol)-lib or --without-m4_tolower(Vol)-lib was given.
     21600if test "${with_vol_lib+set}" = set; then
     21601  withval="$with_vol_lib"
     21602  coin_has_vol=yes
     21603       VOL_LIBS="$withval"
     21604       PCADDLIBS="$withval $PCADDLIBS"
     21605
     21606fi;
     21607
     21608
     21609# Check whether --with-m4_tolower(Vol)-incdir or --without-m4_tolower(Vol)-incdir was given.
     21610if test "${with_vol_incdir+set}" = set; then
     21611  withval="$with_vol_incdir"
     21612  coin_has_vol=yes
     21613     VOL_CFLAGS="-I`${CYGPATH_W} $withval`"
     21614fi;
     21615
     21616
     21617# Check whether --with-m4_tolower(Vol)-datadir or --without-m4_tolower(Vol)-datadir was given.
     21618if test "${with_vol_datadir+set}" = set; then
     21619  withval="$with_vol_datadir"
     21620  coin_has_vol=yes
     21621     VOL_DATA="$withval"
     21622fi;
     21623fi
     21624
     21625if test $coin_has_vol = notGiven; then
     21626  if test -n "$PKG_CONFIG" ; then
     21627    # set search path for pkg-config
     21628    # need to export variable to be sure that the following pkg-config gets these values
     21629    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21630    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     21631    export PKG_CONFIG_PATH
     21632
     21633    # let pkg-config do it's magic
     21634
     21635
     21636
     21637if test -n "$PKG_CONFIG" ; then
     21638  if $PKG_CONFIG --exists "osi-vol"; then
     21639    VOL_VERSIONS="`$PKG_CONFIG --modversion osi-vol 2>/dev/null`"
     21640     cflags=`$PKG_CONFIG --cflags "osi-vol" 2>/dev/null`
     21641    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     21642        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     21643        # but only do this if is not trivial
     21644    if test "$CYGPATH_W" != "echo" ; then
     21645      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     21646          cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     21647        fi
     21648    VOL_CFLAGS="$cflags"
     21649    VOL_LIBS=`$PKG_CONFIG --libs "osi-vol" 2>/dev/null`
     21650    VOL_DATA=`$PKG_CONFIG --variable=datadir "osi-vol" 2>/dev/null`
     21651     coin_has_vol=yes
     21652        echo "$as_me:$LINENO: result: yes: $VOL_VERSIONS" >&5
     21653echo "${ECHO_T}yes: $VOL_VERSIONS" >&6
     21654        REQUIREDPACKAGES="osi-vol $REQUIREDPACKAGES"
     21655
     21656
     21657  else
     21658    VOL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors osi-vol`
     21659      coin_has_vol=notGiven
     21660        echo "$as_me:$LINENO: result: not given: $VOL_PKG_ERRORS" >&5
     21661echo "${ECHO_T}not given: $VOL_PKG_ERRORS" >&6
     21662
     21663  fi
     21664else
     21665  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Vol without pkg-config\"" >&5
     21666echo "$as_me: error: \"Cannot check for existance of module Vol without pkg-config\"" >&2;}
     21667   { (exit 1); exit 1; }; }
     21668fi
     21669
     21670
     21671
     21672
     21673    # reset PKG_CONFIG_PATH variable
     21674    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21675    export PKG_CONFIG_PATH
     21676  else
     21677    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     21678echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     21679
     21680echo "$as_me:$LINENO: checking for COIN-OR module Vol (fallback)" >&5
     21681echo $ECHO_N "checking for COIN-OR module Vol (fallback)... $ECHO_C" >&6
     21682
     21683coin_has_vol=notGiven
     21684VOL_LIBS=
     21685VOL_CFLAGS=
     21686VOL_DATA=
     21687
     21688
     21689# initial list of dependencies is "osi-vol", but we need to filter out version number specifications (= x, <= x, >= x)
     21690projtoprocess="osi-vol"
     21691projprocessed=""
     21692
     21693while test $coin_has_vol = notGiven ; do
     21694  # setup list of projects that need to be processed in the next round
     21695  nextprojtoprocess=""
     21696
     21697  for proj in $projtoprocess ; do
     21698    # if $proj has been processed already, skip this round
     21699    if test "x$projprocessed" != x ; then
     21700      for projdone in $projprocessed ; do
     21701        if test $projdone = $proj ; then
     21702          continue 2
     21703        fi
     21704      done
     21705    fi
     21706
     21707    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     21708    pcfile=""
     21709    save_IFS="$IFS"
     21710    IFS=":"
     21711    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     21712      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     21713      if test -r "$dir/$proj-uninstalled.pc" ; then
     21714        pcfile="$dir/$proj-uninstalled.pc"
     21715        pcfiledir="$dir"
     21716        break
     21717      fi
     21718    done
     21719    IFS="$save_IFS"
     21720
     21721    if test "x$pcfile" != x ; then
     21722      # read CFLAGS from $pcfile and add CYGPATH_W cludge into include flags
     21723      projcflags=`sed -n -e 's/Cflags://' -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/gp' "$pcfile"`
     21724      VOL_CFLAGS="$projcflags $VOL_CFLAGS"
     21725
     21726      # read LIBS from $pcfile and replace -L${libdir} by absolute path to build directory in linker flags
     21727      # we assume that the build directory is $pcfiledir/src if this directory exists, otherwise we assume that it is $pcfiledir
     21728      projlibs=`sed -n -e 's/Libs://' -e 's/-L\${libdir}//p' "$pcfile"`
     21729      if test "x$projlibs" != x ; then
     21730        if test -d "${pcfiledir}/src" ; then
     21731          projlibs="-L`cd "${pcfiledir}/src"; pwd` $projlibs"
     21732        else
     21733          projlibs="-L`cd "$pcfiledir"; pwd` $projlibs"
     21734        fi
     21735      else
     21736        projlibs=`sed -n -e 's/Libs://p' "$pcfile"`
     21737      fi
     21738      VOL_LIBS="$projlibs $VOL_LIBS"
     21739
     21740      # read DATA from $pcfile, if this is the first .pc file we are processing (so assume that its the main one)
     21741      if test "x$projprocessed" = x ; then
     21742        VOL_DATA=`sed -n -e 's/datadir=//gp' "$pcfile"`
     21743      fi
     21744
     21745      # read dependencies from $pcfile, filter it, and add to list of projects that need to be processed next
     21746      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\?>\?=[  ]*[^    ]\+//g'`
     21747      nextprojtoprocess="$nextprojtoprocess $projrequires"
     21748
     21749      # remember that we have processed $proj
     21750      projprocessed="$projprocessed $proj"
     21751
     21752    else
     21753      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     21754echo "${ECHO_T}no, dependency $proj not available" >&6
     21755      break 2
     21756    fi
     21757
     21758  done
     21759
     21760  projtoprocess="$nextprojtoprocess"
     21761
     21762  if test "x$projtoprocess" = x ; then
     21763    coin_has_vol=yes
     21764    echo "$as_me:$LINENO: result: yes, dependencies are$projprocessed" >&5
     21765echo "${ECHO_T}yes, dependencies are$projprocessed" >&6
     21766
     21767    REQUIREDPACKAGES="osi-vol $REQUIREDPACKAGES"
     21768
     21769cat >>confdefs.h <<\_ACEOF
     21770#define COIN_HAS_VOL 1
     21771_ACEOF
     21772
     21773
     21774    if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     21775    if test -n "$VOL_CFLAGS" ; then
     21776      { echo "$as_me:$LINENO: Vol CFLAGS are $VOL_CFLAGS" >&5
     21777echo "$as_me: Vol CFLAGS are $VOL_CFLAGS" >&6;}
     21778    fi
     21779    if test -n "$VOL_LIBS" ; then
     21780      { echo "$as_me:$LINENO: Vol LIBS   are $VOL_LIBS" >&5
     21781echo "$as_me: Vol LIBS   are $VOL_LIBS" >&6;}
     21782    fi
     21783    if test -n "$VOL_DATA" ; then
     21784      { echo "$as_me:$LINENO: Vol DATA   is  $VOL_DATA" >&5
     21785echo "$as_me: Vol DATA   is  $VOL_DATA" >&6;}
     21786    fi
     21787    fi
     21788  fi
     21789done
     21790
     21791
     21792
     21793if test $coin_has_vol != notGiven &&
     21794                test $coin_has_vol != skipping; then
     21795  COIN_HAS_VOL_TRUE=
     21796  COIN_HAS_VOL_FALSE='#'
     21797else
     21798  COIN_HAS_VOL_TRUE='#'
     21799  COIN_HAS_VOL_FALSE=
     21800fi
     21801
     21802
     21803
     21804  fi
     21805
     21806else
     21807  echo "$as_me:$LINENO: result: $coin_has_vol" >&5
     21808echo "${ECHO_T}$coin_has_vol" >&6
     21809fi
     21810
     21811if test $coin_has_vol != skipping &&
     21812   test $coin_has_vol != notGiven ; then
     21813  if test 0 = 1 ; then  #change this test to enable a bit of debugging output
     21814  if test -n "$VOL_CFLAGS" ; then
     21815    { echo "$as_me:$LINENO: Vol CFLAGS are $VOL_CFLAGS" >&5
     21816echo "$as_me: Vol CFLAGS are $VOL_CFLAGS" >&6;}
     21817  fi
     21818  if test -n "$VOL_LIBS" ; then
     21819    { echo "$as_me:$LINENO: Vol LIBS   are $VOL_LIBS" >&5
     21820echo "$as_me: Vol LIBS   are $VOL_LIBS" >&6;}
     21821  fi
     21822  if test -n "$VOL_DATA" ; then
     21823    { echo "$as_me:$LINENO: Vol DATA   is  $VOL_DATA" >&5
     21824echo "$as_me: Vol DATA   is  $VOL_DATA" >&6;}
     21825  fi
     21826  fi
     21827
     21828cat >>confdefs.h <<\_ACEOF
     21829#define COIN_HAS_VOL 1
     21830_ACEOF
     21831
     21832fi
     21833
     21834# Define the Makefile conditional
     21835
     21836
     21837if test $coin_has_vol != notGiven &&
     21838                test $coin_has_vol != skipping; then
     21839  COIN_HAS_VOL_TRUE=
     21840  COIN_HAS_VOL_FALSE='#'
     21841else
     21842  COIN_HAS_VOL_TRUE='#'
     21843  COIN_HAS_VOL_FALSE=
     21844fi
     21845
     21846
    2128921847
    2129021848
     
    2537525933# input files for the examples are available in the VPATH directory.
    2537625934
     25935
    2537725936echo "$as_me:$LINENO: checking whether this is a VPATH configuration" >&5
    2537825937echo $ECHO_N "checking whether this is a VPATH configuration... $ECHO_C" >&6
     
    2538625945
    2538725946
     25947
     25948# Allow for newlines in the parameter
    2538825949if test $coin_vpath_config = yes; then
    25389   # echo converts newlines in parameter to spaces
    25390   coin_vpath_link_files="$coin_vpath_link_files `echo examples/sudoku_sample.csv`"
    25391 fi
    25392 
    25393 
     25950  cvl_tmp="examples/sudoku_sample.csv"
     25951  coin_vpath_link_files=
     25952  for file in $cvl_tmp ; do
     25953    coin_vpath_link_files="$coin_vpath_link_files $file"
     25954  done
     25955fi
     25956
     25957
     25958
     25959# Allow for newlines in the parameter
    2539425960if test $coin_vpath_config = yes; then
    25395   # echo converts newlines in parameter to spaces
    25396   coin_vpath_link_files="$coin_vpath_link_files `echo examples/quad.mps`"
    25397 fi
    25398 
    25399 
     25961  cvl_tmp="examples/quad.mps"
     25962  coin_vpath_link_files=
     25963  for file in $cvl_tmp ; do
     25964    coin_vpath_link_files="$coin_vpath_link_files $file"
     25965  done
     25966fi
     25967
     25968
     25969
     25970# Allow for newlines in the parameter
    2540025971if test $coin_vpath_config = yes; then
    25401   # echo converts newlines in parameter to spaces
    25402   coin_vpath_link_files="$coin_vpath_link_files `echo examples/quad2.mps`"
    25403 fi
     25972  cvl_tmp="examples/quad2.mps"
     25973  coin_vpath_link_files=
     25974  for file in $cvl_tmp ; do
     25975    coin_vpath_link_files="$coin_vpath_link_files $file"
     25976  done
     25977fi
     25978
     25979
     25980#############################################################################
     25981#                  Check for doxygen                                        #
     25982#############################################################################
     25983
     25984
     25985
     25986{ echo "$as_me:$LINENO: configuring doxygen documentation options" >&5
     25987echo "$as_me: configuring doxygen documentation options" >&6;}
     25988
     25989# Check to see if doxygen is available.
     25990
     25991# Extract the first word of "doxygen", so it can be a program name with args.
     25992set dummy doxygen; ac_word=$2
     25993echo "$as_me:$LINENO: checking for $ac_word" >&5
     25994echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     25995if test "${ac_cv_prog_coin_have_doxygen+set}" = set; then
     25996  echo $ECHO_N "(cached) $ECHO_C" >&6
     25997else
     25998  if test -n "$coin_have_doxygen"; then
     25999  ac_cv_prog_coin_have_doxygen="$coin_have_doxygen" # Let the user override the test.
     26000else
     26001as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     26002for as_dir in $PATH
     26003do
     26004  IFS=$as_save_IFS
     26005  test -z "$as_dir" && as_dir=.
     26006  for ac_exec_ext in '' $ac_executable_extensions; do
     26007  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     26008    ac_cv_prog_coin_have_doxygen="yes"
     26009    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     26010    break 2
     26011  fi
     26012done
     26013done
     26014
     26015  test -z "$ac_cv_prog_coin_have_doxygen" && ac_cv_prog_coin_have_doxygen="no"
     26016fi
     26017fi
     26018coin_have_doxygen=$ac_cv_prog_coin_have_doxygen
     26019if test -n "$coin_have_doxygen"; then
     26020  echo "$as_me:$LINENO: result: $coin_have_doxygen" >&5
     26021echo "${ECHO_T}$coin_have_doxygen" >&6
     26022else
     26023  echo "$as_me:$LINENO: result: no" >&5
     26024echo "${ECHO_T}no" >&6
     26025fi
     26026
     26027
     26028# Look for the dot tool from the graphviz package, unless the user has
     26029# disabled it.
     26030
     26031
     26032# Check whether --with-dot or --without-dot was given.
     26033if test "${with_dot+set}" = set; then
     26034  withval="$with_dot"
     26035
     26036else
     26037  withval=yes
     26038fi;
     26039if test x$withval = xno ; then
     26040  coin_doxy_usedot=NO
     26041  echo "$as_me:$LINENO: checking for dot " >&5
     26042echo $ECHO_N "checking for dot ... $ECHO_C" >&6
     26043  echo "$as_me:$LINENO: result: disabled" >&5
     26044echo "${ECHO_T}disabled" >&6
     26045else
     26046  # Extract the first word of "dot", so it can be a program name with args.
     26047set dummy dot; ac_word=$2
     26048echo "$as_me:$LINENO: checking for $ac_word" >&5
     26049echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     26050if test "${ac_cv_prog_coin_doxy_usedot+set}" = set; then
     26051  echo $ECHO_N "(cached) $ECHO_C" >&6
     26052else
     26053  if test -n "$coin_doxy_usedot"; then
     26054  ac_cv_prog_coin_doxy_usedot="$coin_doxy_usedot" # Let the user override the test.
     26055else
     26056as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     26057for as_dir in $PATH
     26058do
     26059  IFS=$as_save_IFS
     26060  test -z "$as_dir" && as_dir=.
     26061  for ac_exec_ext in '' $ac_executable_extensions; do
     26062  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     26063    ac_cv_prog_coin_doxy_usedot="YES"
     26064    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     26065    break 2
     26066  fi
     26067done
     26068done
     26069
     26070  test -z "$ac_cv_prog_coin_doxy_usedot" && ac_cv_prog_coin_doxy_usedot="NO"
     26071fi
     26072fi
     26073coin_doxy_usedot=$ac_cv_prog_coin_doxy_usedot
     26074if test -n "$coin_doxy_usedot"; then
     26075  echo "$as_me:$LINENO: result: $coin_doxy_usedot" >&5
     26076echo "${ECHO_T}$coin_doxy_usedot" >&6
     26077else
     26078  echo "$as_me:$LINENO: result: no" >&5
     26079echo "${ECHO_T}no" >&6
     26080fi
     26081
     26082fi
     26083
     26084# Generate a tag file name and a log file name
     26085
     26086coin_doxy_tagname=doxydoc/${PACKAGE}_doxy.tag
     26087
     26088coin_doxy_logname=doxydoc/${PACKAGE}_doxy.log
     26089
     26090
     26091# Process the list of project names and massage them into possible doxygen
     26092# doc'n directories. Prefer 1) classic external, source processed using
     26093# a project-specific doxygen.conf, we use the tag file; 2) classic
     26094# external, source processed using package doxygen.conf; 3) installed
     26095# doxydoc. Alternatives 1) and 2) are only possible if the directory will be
     26096# configured, which we can't know unless this is the package base configure,
     26097# since coin_subdirs is only set there. Hence it's sufficient to check for
     26098# membership. If we use a tag file from a classic external, exclude the
     26099# source from doxygen processing when doxygen runs in the base directory.
     26100
     26101coin_doxy_tagfiles=
     26102coin_doxy_excludes=
     26103tmp="CoinUtils Osi Clp DyLP Cgl"
     26104for proj in $tmp ; do
     26105  lc_proj=`echo $proj | tr [A-Z] [a-z]`
     26106  echo "$as_me:$LINENO: checking for doxygen doc'n for $proj " >&5
     26107echo $ECHO_N "checking for doxygen doc'n for $proj ... $ECHO_C" >&6
     26108  doxytag=${lc_proj}_doxy.tag
     26109  doxyfound=no
     26110  for chkProj in $coin_subdirs ; do
     26111    if test "$chkProj" = "$proj" ; then
     26112      # proj will be configured, hence doxydoc present in build tree
     26113      doxysrcdir="${srcdir}/${proj}"
     26114      { echo "$as_me:$LINENO: Considering $doxysrcdir (base)" >&5
     26115echo "$as_me: Considering $doxysrcdir (base)" >&6;}
     26116      if test -d "$doxysrcdir" ; then
     26117        # with a doxydoc directory?
     26118        doxydir="$doxysrcdir/doxydoc"
     26119        { echo "$as_me:$LINENO: Considering $doxydir (base)" >&5
     26120echo "$as_me: Considering $doxydir (base)" >&6;}
     26121        { echo "$as_me:$LINENO: Subdirs: $coin_subdirs)" >&5
     26122echo "$as_me: Subdirs: $coin_subdirs)" >&6;}
     26123        if test -d "$doxydir" ; then
     26124          # use tag file; don't process source
     26125          eval doxydir="`pwd`/${proj}/doxydoc"
     26126          coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
     26127          echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     26128echo "${ECHO_T}$doxydir (tag)" >&6
     26129          coin_doxy_excludes="$coin_doxy_excludes */${proj}*"
     26130        else
     26131          # will process the source -- nothing further to be done here
     26132          echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     26133echo "${ECHO_T}$doxysrcdir (src)" >&6
     26134        fi
     26135        doxyfound=yes
     26136      fi
     26137    fi
     26138  done
     26139  # Not built, fall back to installed tag file
     26140  if test $doxyfound = no ; then
     26141    eval doxydir="${datadir}/coin/doc/${proj}/doxydoc"
     26142    { echo "$as_me:$LINENO: Considering $doxydir (install)" >&5
     26143echo "$as_me: Considering $doxydir (install)" >&6;}
     26144    { echo "$as_me:$LINENO: Subdirs: $coin_subdirs)" >&5
     26145echo "$as_me: Subdirs: $coin_subdirs)" >&6;}
     26146    coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
     26147    echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     26148echo "${ECHO_T}$doxydir (tag)" >&6
     26149  fi
     26150done
     26151
     26152
     26153
    2540426154
    2540526155
     
    2541126161# configuration header file)
    2541226162                                                                                          ac_config_files="$ac_config_files Makefile examples/Makefile src/Makefile src/OsiCbc/Makefile test/Makefile cbc.pc cbc-uninstalled.pc osi-cbc.pc osi-cbc-uninstalled.pc"
     26163
     26164          ac_config_files="$ac_config_files doxydoc/doxygen.conf"
    2541326165
    2541426166
     
    2565126403Usually this means the macro was only invoked conditionally." >&5
    2565226404echo "$as_me: error: conditional \"COIN_HAS_CLP\" was never defined.
     26405Usually this means the macro was only invoked conditionally." >&2;}
     26406   { (exit 1); exit 1; }; }
     26407fi
     26408if test -z "${COIN_HAS_DYLP_TRUE}" && test -z "${COIN_HAS_DYLP_FALSE}"; then
     26409  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DYLP\" was never defined.
     26410Usually this means the macro was only invoked conditionally." >&5
     26411echo "$as_me: error: conditional \"COIN_HAS_DYLP\" was never defined.
     26412Usually this means the macro was only invoked conditionally." >&2;}
     26413   { (exit 1); exit 1; }; }
     26414fi
     26415if test -z "${COIN_HAS_DYLP_TRUE}" && test -z "${COIN_HAS_DYLP_FALSE}"; then
     26416  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DYLP\" was never defined.
     26417Usually this means the macro was only invoked conditionally." >&5
     26418echo "$as_me: error: conditional \"COIN_HAS_DYLP\" was never defined.
     26419Usually this means the macro was only invoked conditionally." >&2;}
     26420   { (exit 1); exit 1; }; }
     26421fi
     26422if test -z "${COIN_HAS_VOL_TRUE}" && test -z "${COIN_HAS_VOL_FALSE}"; then
     26423  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_VOL\" was never defined.
     26424Usually this means the macro was only invoked conditionally." >&5
     26425echo "$as_me: error: conditional \"COIN_HAS_VOL\" was never defined.
     26426Usually this means the macro was only invoked conditionally." >&2;}
     26427   { (exit 1); exit 1; }; }
     26428fi
     26429if test -z "${COIN_HAS_VOL_TRUE}" && test -z "${COIN_HAS_VOL_FALSE}"; then
     26430  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_VOL\" was never defined.
     26431Usually this means the macro was only invoked conditionally." >&5
     26432echo "$as_me: error: conditional \"COIN_HAS_VOL\" was never defined.
    2565326433Usually this means the macro was only invoked conditionally." >&2;}
    2565426434   { (exit 1); exit 1; }; }
     
    2636627146  "osi-cbc.pc" ) CONFIG_FILES="$CONFIG_FILES osi-cbc.pc" ;;
    2636727147  "osi-cbc-uninstalled.pc" ) CONFIG_FILES="$CONFIG_FILES osi-cbc-uninstalled.pc" ;;
     27148  "doxydoc/doxygen.conf" ) CONFIG_FILES="$CONFIG_FILES doxydoc/doxygen.conf" ;;
    2636827149  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    2636927150  "inc/config_cbc.h" ) CONFIG_HEADERS="$CONFIG_HEADERS inc/config_cbc.h" ;;
     
    2657227353s,@COIN_HAS_CLP_TRUE@,$COIN_HAS_CLP_TRUE,;t t
    2657327354s,@COIN_HAS_CLP_FALSE@,$COIN_HAS_CLP_FALSE,;t t
     27355s,@DYLP_LIBS@,$DYLP_LIBS,;t t
     27356s,@DYLP_CFLAGS@,$DYLP_CFLAGS,;t t
     27357s,@DYLP_DATA@,$DYLP_DATA,;t t
     27358s,@COIN_HAS_DYLP_TRUE@,$COIN_HAS_DYLP_TRUE,;t t
     27359s,@COIN_HAS_DYLP_FALSE@,$COIN_HAS_DYLP_FALSE,;t t
     27360s,@VOL_LIBS@,$VOL_LIBS,;t t
     27361s,@VOL_CFLAGS@,$VOL_CFLAGS,;t t
     27362s,@VOL_DATA@,$VOL_DATA,;t t
     27363s,@COIN_HAS_VOL_TRUE@,$COIN_HAS_VOL_TRUE,;t t
     27364s,@COIN_HAS_VOL_FALSE@,$COIN_HAS_VOL_FALSE,;t t
    2657427365s,@OSITESTS_LIBS@,$OSITESTS_LIBS,;t t
    2657527366s,@OSITESTS_CFLAGS@,$OSITESTS_CFLAGS,;t t
     
    2659227383s,@COIN_HAS_MIPLIB3_TRUE@,$COIN_HAS_MIPLIB3_TRUE,;t t
    2659327384s,@COIN_HAS_MIPLIB3_FALSE@,$COIN_HAS_MIPLIB3_FALSE,;t t
    26594 s,@DYLP_LIBS@,$DYLP_LIBS,;t t
    26595 s,@DYLP_CFLAGS@,$DYLP_CFLAGS,;t t
    26596 s,@DYLP_DATA@,$DYLP_DATA,;t t
    26597 s,@COIN_HAS_DYLP_TRUE@,$COIN_HAS_DYLP_TRUE,;t t
    26598 s,@COIN_HAS_DYLP_FALSE@,$COIN_HAS_DYLP_FALSE,;t t
    26599 s,@VOL_LIBS@,$VOL_LIBS,;t t
    26600 s,@VOL_CFLAGS@,$VOL_CFLAGS,;t t
    26601 s,@VOL_DATA@,$VOL_DATA,;t t
    26602 s,@COIN_HAS_VOL_TRUE@,$COIN_HAS_VOL_TRUE,;t t
    26603 s,@COIN_HAS_VOL_FALSE@,$COIN_HAS_VOL_FALSE,;t t
    2660427385s,@CPX_LIBS@,$CPX_LIBS,;t t
    2660527386s,@CPX_CFLAGS@,$CPX_CFLAGS,;t t
     
    2665927440s,@OSICBC_DFLT_SOLVER_XPR_TRUE@,$OSICBC_DFLT_SOLVER_XPR_TRUE,;t t
    2666027441s,@OSICBC_DFLT_SOLVER_XPR_FALSE@,$OSICBC_DFLT_SOLVER_XPR_FALSE,;t t
     27442s,@coin_have_doxygen@,$coin_have_doxygen,;t t
     27443s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
     27444s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
     27445s,@coin_doxy_logname@,$coin_doxy_logname,;t t
     27446s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
     27447s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
    2666127448s,@LIBEXT@,$LIBEXT,;t t
    2666227449s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
Note: See TracChangeset for help on using the changeset viewer.